App\Entity\Negotiation:
    exclusion_policy: all
    virtual_properties:
        getNewMessagesNo:
            type: integer
            groups: [grid, broadcast, all]
        getRepliesNo:
            type: integer
            groups: [grid, broadcast, all]
    properties:
        id:
            groups: [grid, all, broadcast]
            max_depth: 1
        prospect:
            groups: [grid, all, broadcast]
            max_depth: 4
        status:
            groups: [grid, all, broadcast]
            max_depth: 1
        content:
            groups: [grid, all, broadcast]
            max_depth: 2
        costProposed:
            groups: [grid, all, broadcast]
            max_depth: 1
        costAgreed:
            groups: [grid, all, broadcast]
            max_depth: 1
        user:
            groups: [grid, all, broadcast]
            max_depth: 1
        messages:
            groups: [grid, all, broadcast]
            max_depth: 1
        campaign:
            groups: [grid, all, broadcast]
            max_depth: 1
        email:
            groups: [grid, all, broadcast]
            max_depth: 1
        research:
            groups: [grid, all, broadcast]
            max_depth: 1
        currency:
            groups: [grid, all, broadcast]
            max_depth: 1
